#START:confirm
#START:sent
class OrderMailer < ActionMailer::Base
#END:sent

  def confirm(order)
    @subject       = "Confirmation de la commande à la Boutique Pragmatique"
    @recipients    = order.email
    @from          = 'orders@pragprog.com'
    @body["order"] = order
  end
#END:confirm

#START:sent
  def sent(order)
    @subject       = "Commande à la Boutique Pragmatique expédiée"
    @recipients    = order.email
    @from          = 'orders@pragprog.com'
    @body["order"] = order
  end
#START:confirm
end
#END:confirm
#END:sent
